Subject: Re: [PATCH 6/6] gnu: chez-scheme-for-racket: Suport all systems.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 08 Aug 2022 11:15:13 +0200

Am Montag, dem 08.08.2022 um 02:10 -0400 schrieb Philip McGrath:
> On systems for which 'chez-scheme-for-racket' cannot generate native
> code, use the applicable 'pbarch' machine type as with 'racket-vm-
> cs'.
> 
> In the process, this commit adds support for cross-compiling
> 'chez-scheme-for-racket', though not support for compiling it as a
> cross-compiler to use in cross-compiling other Scheme programs.
> 
> * gnu/packages/chez.scm (chez-scheme)[native-inputs]: Move
> 'chez-scheme-bootstrap-bootfiles' to ...
> [inputs]: ... this field.
> [arguments]<#:phases>: Update 'unpack-bootfiles' accordingly.
> (chez-scheme-for-racket)[native-inputs]: Add 'this-package' when
> cross-compiling. Move 'chez-scheme-for-racket-bootstrap-bootfiles' to
> ...
> [inputs]: ... this field. Add 'libffi' for 'pbarch' machine types.
> [arguments]: Support cross-compilation and 'pbarch' machine types.
> [supported-systems]: Use '%supported-systems'.
> [description]: Update.
> ---
Also split into three: 1. move the bootfiles and unpack them correctly
(I suspect this is a noop because cross-compilation is not supported
atm), 2. add the machine types and update %supported-systems, 3. cross-
compile.

Cheers